from django.contrib.gis.utils import LayerMapping
from foss4g.geoapp.models import County, State, UrbanArea

# County Mapping
co_map = {'fips' : 'COUNTY',
          'state_fips' : 'STATE',
          'name' : 'NAME',
          'poly' : 'POLYGON',
          }
co_shp = 'C:/projects/gis_data/co99_d00.shp'

# State Mapping
st_map = {'fips' : 'STATE',
          'name' : 'NAME',
          'region' : 'REGION',
          'division' : 'DIVISION',
          'poly' : 'POLYGON',
          }
st_shp = 'C:/projects/gis_data/st99_d00.shp'

# Urban Areas Mapping
ua_map = {'fips' : 'UA',
          'name' : 'NAME',
          'poly' : 'POLYGON',
          }
ua_shp = 'C:/projects/gis_data/ua99_d00.shp'

def run(county=True, state=True, urban_area=True):
    if county:
        co_lm = LayerMapping(County, co_shp, co_map, source_srs=4269, encoding='cp437')
        co_lm.save(True)

    if state:
        st_lm = LayerMapping(State, st_shp, st_map, source_srs=4269, encoding='cp437')
        st_lm.save(True)

    if urban_area:
        ua_lm = LayerMapping(UrbanArea, ua_shp, ua_map, source_srs=4269, encoding='cp437')
        ua_lm.save(True)
