from django.contrib.gis.db import models

class County(models.Model, models.GeoMixin):
    fips = models.CharField(maxlength=3)
    state_fips = models.CharField(maxlength=2)
    name = models.CharField(maxlength=31)
    poly = models.PolygonField(srid=4269)
    objects = models.GeoManager()

    class Admin:
        pass

    class Meta:
        verbose_name_plural = 'Counties'

    def __unicode__(self):
        return unicode(self.name)

class State(models.Model, models.GeoMixin):
    fips = models.CharField(maxlength=2)
    name = models.CharField(maxlength=20)
    region = models.CharField(maxlength=1)
    division = models.CharField(maxlength=1)
    poly = models.PolygonField(srid=4269)
    objects = models.GeoManager()

    class Admin:
        pass

    def __unicode__(self):
        return unicode(self.name)

class UrbanArea(models.Model, models.GeoMixin):
    fips = models.CharField(maxlength=5)
    name = models.CharField(maxlength=58)
    poly = models.PolygonField(srid=4269)
    objects = models.GeoManager()

    class Admin:
        pass

    def __unicode__(self):
        return unicode(self.name)
